/**
  ******************************************************************************
  * @file    usbd_composite.h
  * @brief   Header file for the usbd_composite.c file.
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __USB_COMPOSITE_H
#define __USB_COMPOSITE_H

#ifdef __cplusplus
extern "C" {
#endif

#include "stdbool.h"
#include "usbd_ioreq.h"

#include "usbd_audio.h"
#include "usbd_customhid.h"

#define USBD_USE_AUDIO
#define USBD_USE_CUSTOM_HID

extern USBD_ClassTypeDef USBD_COMPOSITE;

void USBD_COMPOSITE_Mount_Class(void);

#ifdef __cplusplus
}
#endif

#endif  /* __USB_COMPOSITE_H */

