/**
  ******************************************************************************
  * File Name          : appjmp.h
  * Description        : Application jump defines
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __APPJMP_H
#define __APPJMP_H

#define JUMP_TO_DFU		0x01234567
#define DFU_BOOT_ADDR	0x08000000	// custom bootloader base address
#define APP_ADDR		0x08020000	// application base address

extern uint32_t dfu_mode;

void jumpTo(uint32_t base_addr);

#endif /* __APPJMP_H */
